[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCommitRollbackAction

Transaction actions (unused)

## Declaration

Source position: sqldb.pp line 315

`type TCommitRollbackAction = (`
`caNone,` |  | Do nothing
`caCommit,` |  | Commit transaction
`caCommitRetaining,` |  | Commit transaction, retaining transaction context
`caRollback,` |  | Rollback transaction
`caRollbackRetaining` |  | Rollback transaction, retaining transaction context
`);`

## Description

TCommitRollbackAction is currently unused in SQLDB.

## See also

TSQLTransaction.Action |  | Currently unused in SQLDB